- name: Create clouds.yaml file from template
  template:
    src: clouds.yaml.j2
    dest: clouds.yaml
    mode: '0600'

- name: Create .gitignore file
  file:
    path: .gitignore 
    mode: '0664'

- name: Add clouds.yaml to .gitignore
  ansible.builtin.lineinfile:
    state: present
    path: .gitignore
    line: clouds.yaml

